boost::geometry::less< Point, Dimension, Strategy > Struct Template Reference
compare: define compare functors for points

Less functor, to sort points in ascending order. More...

List of all members.

## Public Types

typedef Point | first_argument_type
typedef bool | result_type
typedef Point | second_argument_type

## Detailed Description

### template<typename Point, int Dimension = -1, typename Strategy = strategy::compare::default_strategy>
struct boost::geometry::less< Point, Dimension, Strategy >

Less functor, to sort points in ascending order.

This functor compares points and orders them on x, then on y, then on z coordinate.

Template Parameters:

  Geometry | the geometry
  Dimension | the dimension to sort on, defaults to -1, indicating ALL dimensions. That's to say, first on x, on equal x-es then on y, etc. If a dimension is specified, only that dimension is considered
  Strategy | underlying coordinate comparing functor, defaults to the default comparison strategies related to the point coordinate system. If specified, the specified strategy is used. This can e.g. be std::less<double>.

## Member Typedef Documentation

template<typename Point , int Dimension = -1, typename Strategy = strategy::compare::default_strategy>

typedef Point boost::geometry::less< Point, Dimension, Strategy >::first_argument_type

template<typename Point , int Dimension = -1, typename Strategy = strategy::compare::default_strategy>

typedef Point boost::geometry::less< Point, Dimension, Strategy >::second_argument_type

template<typename Point , int Dimension = -1, typename Strategy = strategy::compare::default_strategy>

typedef bool boost::geometry::less< Point, Dimension, Strategy >::result_type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK